<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\WssField\Belegung;

class WssFieldBelegungPunkte extends \Kufer\Web\KuferTools\Utils\WssField\WssField
{
  protected function getValue($datamodulWert, $isFormular = false)
  {
    $punkte = ($datamodulWert->punkte == 0) ? $datamodulWert->kurs->punkte : $datamodulWert->punkte;
    if (!empty($datamodulWert->tnr) && \BelegungOperations::getDisplayString4PunkteStatus($datamodulWert->tnr, $datamodulWert->kurs->id, parent::getValue($datamodulWert, $isFormular), $datamodulWert->status, $punkte) == PUNKTESTATUS_AUSRUFEZEICHEN) {
      return '';
    } else {
      return $punkte;
    }
  }
}